Subject: Re: MBX drivers ads5121-rev4-v20090603

From: Andrey Volkov <[email-masked]>
Date: Fri, 21 May 2010 22:12:53 +0400

Hello Moisés,

CTAG / Moisés Domínguez wrote:
> Hi all,
> 
> I am trying to use MBX 3D engine driver of my ads5121. AFAIK, drivers were
> built against same kernel as mine
i.e. 2.6.24.6 from LTIB? Kernel from Freescale's LTIB != vanilla 2.6.24.6
(number of patches vs vanilla kernel is more than 100)

> but I get problems for testing the demos and for loading the service:
> 
I run demos on ADS without problems, except OGLESRenderToTexture (confirmed bug
in ALT's GL driver).

--
Regards
Andrey

> /[root@freescale /]# etc/init.d/rc.pvr start/
> 
> /[   29.526994] dbgdrv: module license 'unspecified' taints kernel./ /[
> 29.721065] _IORemapWrapper: mapping 1048576 bytes uncached from 0x80000000 to
> 0xe5280000/
> 
> /… /
> 
> * *
> 
> I read in previous threads of this list about similar problems:
> 
> - MBX on kernel 2.6.31: 
> ttp://old.nabble.com/MPC5121ADS-PowerVR-MBX-driver-on-2.6.31-kernel--td26613966.html
> 
> 
> - MBX on kernel 2.6.24: 
> http://lists.ozlabs.org/pipermail/linuxppc-dev/2009-February/067967.html
> 
> 
> According those posts, I would need to recompile modules against my kernel,
> but, of course, I do not have the sources.  Reading ltib doc I read:
> 
> /“Proprietary Packages:/
> 
> /mbx_build13_binaries: This package provides proprietary binary kernel
> modules, libraries,/
> 
> /and test code built from the MBX OpenGL ES DDK.”/
> 
> / /
> 
> Have anybody tested MBX demos provided with freescale SDK with ltib v20090603
> without having to recompile provided .ko’s?
> 
> Regards,
> 
> Moises
> 
> 
> 
> /Board ads5121/
> 
> /Ltib version 20090603/
> 
> /Linux kernel version 2.6.24.6/
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________ Linuxppc-dev mailing list 
> [email-masked] https://lists.ozlabs.org/listinfo/linuxppc-dev